Opened 18 months ago

Closed 8 months ago

#2255 closed Bug (fixed)

some grid references in SHARED/field_def_nemo-oce.xml not defined in SHARED/grid_def_nemo.xml

Reported by: davestorkey Owned by: andmirek
Priority: low Milestone:
Component: IOM Version: release-4.0
Severity: minor Keywords:
Cc:

Description

BE CAREFUL !!! Due to dynamic behaviour of this ticket creation page, it is highly recommend to set first all other fields before writing the ticket description below.
If you have lost your draft after an unwanted reload, you can click on the link 'Restore Form' in the contextual menu upper right to recover it.
Remove these lines after reading.

Context

There are "grid_ref" references in cfgs/SHARED/field_def_nemo-oce.xml which are not defined in cfgs/SHARED/grid_def_nemo.xml, for example grid_T_SFC, gznl_W_3D, gznl_T_2D. I think every grid_ref reference in the field_def file should be defined in the grid_def file.

Analysis


Fix


Commit History (3)

ChangesetAuthorTimeChangeLog
12213smasson2019-12-12T16:32:02+01:00

trunk: update xml files to define missing grids, see #2255

11810andmirek2019-10-28T11:11:25+01:00

Ticket #2255. Add grids definitioh for grid_T_SFC gznl_T_2D gznl_T_3D gznl_W_3D

11797andmirek2019-10-25T15:36:33+02:00

Branch for ticket #2255

Change History (6)

comment:1 Changed 15 months ago by clevy

  • Owner changed from davestorkey to andmirek
  • Status changed from new to assigned

comment:2 Changed 10 months ago by andmirek

The following grids are not defined in grid_def_nemo.xml:
grid_T_SFC - introduced by Dave Storkey (definition unknown)
gznl_W_3D - not defined (have definition)
gznl_T_3D - not defined (have definition)
gznl_T_2D - not defined (have definition)
grid_4strait - introduced by Martin Vancoppenolle (definition unknown)

I sent email to Dave and Martin with request for definitions of those grids.

comment:3 Changed 10 months ago by andmirek

In 11797:

Branch for ticket #2255

comment:4 Changed 10 months ago by andmirek

In 11810:

Ticket #2255. Add grids definitioh for grid_T_SFC gznl_T_2D gznl_T_3D gznl_W_3D

comment:5 Changed 8 months ago by smasson

In 12213:

trunk: update xml files to define missing grids, see #2255

comment:6 Changed 8 months ago by smasson

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.